Bug 587972 - No convenient way to switch to headphones
No convenient way to switch to headphones
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2010-05-01 18:22 EDT by John
Modified: 2010-12-03 10:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-12-03 10:13:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John 2010-05-01 18:22:52 EDT
Description of problem:
When I plug in my headphones there is no easy way to output sound to just them and have the speakers turn off.

Version-Release number of selected component (if applicable):
pulseaudio.i686   0.9.21-5.fc12

How reproducible:

Steps to Reproduce:
1. Plug in Headphones
2. Listen
Actual results:
Sound outputs through speakers and headphones.

Expected results:
Speaker output turns off. Sound plays only through headphones.

Additional info:
Ability is possible under Windows to detect headphones being plugged into the front headphone port on my computer. Speaker power switch is on subwoofer, would require me to crawl under desk to turn off. While speakers are on the headphones can be used as a weak microphone to output to the speakers. The speakers can be disabled through alsamixer by toggling the "Audigy Analog/Digital Output Jack" for my Sound Blaster card to "on" at which point sound only emanates from the headphones and the speakers no longer output any noise from the headphones. NOTE: The headphones are really weak at picking up noise, you have to tap on them or speak really loud to get some output. I'm guessing that switch in alsa is toggling the front port from an output to input port (or they just didn't isolate the output ports well enough on this particular card).

Card info from ALSA:
 Card: SB Audigy 2 ZS [SB0353]
 Chip: SigmaTel STAC9721,23

Smolt Profile:
Comment 1 Bug Zapper 2010-11-03 11:53:04 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 2 Bug Zapper 2010-12-03 10:13:27 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.